Update a chat session
curl --request PATCH \
--url https://api.open.cx/chat/sessions/{session_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"generate_summary_and_sentiment_on_resolve": true,
"reflect_status_change_for_integration": true,
"session_closed_payload": {}
}
'import requests
url = "https://api.open.cx/chat/sessions/{session_id}"
payload = {
"generate_summary_and_sentiment_on_resolve": True,
"reflect_status_change_for_integration": True,
"session_closed_payload": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
generate_summary_and_sentiment_on_resolve: true,
reflect_status_change_for_integration: true,
session_closed_payload: {}
})
};
fetch('https://api.open.cx/chat/sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Sessions
Update a chat session
Update a chat session — Updates a chat session. Use when orchestrating conversations from code — creating sessions, sending messages, or listing history for an external surface.
PATCH
/
chat
/
sessions
/
{session_id}
Update a chat session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the chat session
Body
application/json
Response
Default Response
Was this page helpful?
⌘I